Bug 763970 - (GLUSTER-2238) sometimes nfs service crash
sometimes nfs service crash
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
3.1.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Shehjar Tikoo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-19 21:24 EST by Gluster Fan
Modified: 2011-05-25 04:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: nfs
Documentation: DP
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gluster Fan 2010-12-19 21:24:09 EST
My evivronment is release 3.1.0, sometimes the nfs service got crash, and its log as following:

[2010-12-17 17:51:16.606707] E [afr-self-heal-common.c:1214:sh_missing_entries_create] vmpool-replicate-1: no mis
sing files - /TV900000600005/TV900000600005-flat.vmdk. proceeding to metadata check
[2010-12-17 17:51:16.608413] E [afr-common.c:110:afr_set_split_brain] vmpool-replicate-1: invalid argument: inode
[2010-12-17 17:51:16.608444] I [afr-self-heal-common.c:1526:afr_self_heal_completion_cbk] vmpool-replicate-1: bac
kground  data self-heal completed on /TV900000600005/TV900000600005-flat.vmdk
pending frames:

patchset: v3.1.0
signal received: 11
time of crash: 2010-12-17 18:16:32
configuration details:
argp 1
backtrace 1
dlfcn 1
fdatasync 1
libpthread 1
llistxattr 1
setfsid 1
spinlock 1
epoll.h 1
xattr.h 1
st_atim.tv_nsec 1
package-string: glusterfs 3.1.0
/lib64/libc.so.6[0x3d924302d0]
/lib64/libpthread.so.0(pthread_spin_lock+0x2)[0x3d9300b722]
/usr/local/lib/libglusterfs.so.0(fd_unref+0x3b)[0x2ada65d9f8cb]
/usr/local/lib/glusterfs/3.1.0/xlator/cluster/replicate.so(afr_local_cleanup+0x56)[0x2aaaaad15136]
/usr/local/lib/glusterfs/3.1.0/xlator/cluster/replicate.so(afr_fstat_cbk+0xdc)[0x2aaaaacef5dc]
/usr/local/lib/glusterfs/3.1.0/xlator/protocol/client.so(client3_1_fstat_cbk+0x287)[0x2aaaaaacd2c7]
/usr/local/lib/libgfrpc.so.0(rpc_clnt_handle_reply+0xa2)[0x2ada65fdf2f2]
/usr/local/lib/libgfrpc.so.0(rpc_clnt_notify+0x8d)[0x2ada65fdf4ed]
/usr/local/lib/libgfrpc.so.0(rpc_transport_notify+0x2c)[0x2ada65fda78c]
/usr/local/lib/glusterfs/3.1.0/rpc-transport/socket.so(socket_event_poll_in+0x3f)[0x2aaabb0ec34f]
/usr/local/lib/glusterfs/3.1.0/rpc-transport/socket.so(socket_event_handler+0x168)[0x2aaabb0ec4d8]
/usr/local/lib/libglusterfs.so.0[0x2ada65da0ee7]
/usr/local/sbin/glusterfs(main+0x37d)[0x4046fd]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x3d9241d994]
/usr/local/sbin/glusterfs[0x402dd9]
Comment 1 Shehjar Tikoo 2011-01-27 01:59:42 EST
Hi Gluster Fan, please upgrade to 3.1.2 release. It may have been fixed as part of fixes for similar crashes. Thanks.
Comment 2 Shehjar Tikoo 2011-05-25 01:58:01 EDT
Resolving, please re-open if the problem still occurs. It hasnt been seen in our tests with self-heal.

Note You need to log in before you can comment on or make changes to this bug.